VERSION 5.00
Object = "{27395F88-0C0C-101B-A3C9-08002B2F49FB}#1.1#0"; "PICCLP32.OCX"
Begin VB.Form frmAm 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "PicClip (Animation)"
   ClientHeight    =   1605
   ClientLeft      =   45
   ClientTop       =   360
   ClientWidth     =   8520
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1605
   ScaleWidth      =   8520
   StartUpPosition =   2  'CenterScreen
   Begin VB.PictureBox picShadwCanv 
      Appearance      =   0  'Flat
      BorderStyle     =   0  'None
      ForeColor       =   &H80000008&
      Height          =   1335
      Left            =   2760
      ScaleHeight     =   1335
      ScaleWidth      =   4095
      TabIndex        =   5
      Top             =   120
      Width           =   4095
   End
   Begin VB.CommandButton cmdShowMsgBoxAPI 
      Caption         =   "Show MsgBox (API)"
      Enabled         =   0   'False
      Height          =   615
      Left            =   6960
      TabIndex        =   4
      Top             =   840
      Width           =   1455
   End
   Begin VB.CommandButton cmdShowMsgBoxNormal 
      Caption         =   "Show MsgBox (Normal)"
      Enabled         =   0   'False
      Height          =   615
      Left            =   6960
      TabIndex        =   3
      Top             =   120
      Width           =   1455
   End
   Begin VB.PictureBox picAm 
      BorderStyle     =   0  'None
      Height          =   735
      Left            =   240
      ScaleHeight     =   735
      ScaleWidth      =   855
      TabIndex        =   2
      TabStop         =   0   'False
      Top             =   360
      Width           =   855
   End
   Begin VB.CommandButton cmdStop 
      Caption         =   "&Stop"
      Enabled         =   0   'False
      Height          =   375
      Left            =   1560
      TabIndex        =   1
      Top             =   840
      Width           =   975
   End
   Begin VB.CommandButton cmdPlay 
      Caption         =   "&Play"
      Height          =   375
      Left            =   1560
      TabIndex        =   0
      Top             =   360
      Width           =   975
   End
   Begin VB.Timer tmrAm 
      Enabled         =   0   'False
      Interval        =   50
      Left            =   2760
      Top             =   120
   End
   Begin PicClip.PictureClip PC 
      Left            =   120
      Top             =   1560
      _ExtentX        =   6033
      _ExtentY        =   2725
      _Version        =   393216
      Rows            =   3
      Cols            =   6
      Picture         =   "frmAm.frx":0000
   End
   Begin VB.Line linFrmAm2 
      BorderWidth     =   5
      X1              =   120
      X2              =   2640
      Y1              =   1440
      Y2              =   1440
   End
   Begin VB.Line linFrmAm1 
      BorderWidth     =   5
      X1              =   120
      X2              =   2640
      Y1              =   120
      Y2              =   120
   End
   Begin VB.Shape shpCP 
      BackColor       =   &H000080FF&
      BackStyle       =   1  'Opaque
      BorderWidth     =   5
      Height          =   1095
      Left            =   1320
      Shape           =   5  'Rounded Square
      Top             =   240
      Width           =   1455
   End
End
Attribute VB_Name = "frmAm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
'---------------------------------------------------------------------------------------
' prjAnim
' DateTime  : <unknown>
' [Re]Date  : Apr 2, 2006.
' Author    : Dipak Auddy
' E-Mail    : auddy@gawab.com
' Purpose   :
'           (1)Create simple animation with PICCLIP32.OCX
'           (2)Draw Shadow Text using TextOut API
'           (3)Simple uses of MessageBox API
'---------------------------------------------------------------------------------------
Private CI  As Integer
'API
Private Declare Sub InitCommonControls Lib "comctl32" ()
Private Declare Function MessageBox Lib "user32.dll" Alias "MessageBoxA" (ByVal hwnd As Long, _
                                                                          ByVal lpText As String, _
                                                                          ByVal lpCaption As String, _
                                                                          ByVal wType As Long) As Long
Private Declare Function TextOut Lib "gdi32.dll" Alias "TextOutA" (ByVal hdc As Long, _
                                                                   ByVal X As Long, _
                                                                   ByVal Y As Long, _
                                                                   ByVal lpString As String, _
                                                                   ByVal nCount As Long) As Long

Private Sub cmdPlay_Click()

    cmdPlay.Enabled = False
    cmdStop.Enabled = True
    cmdShowMsgBoxNormal.Enabled = True
    cmdShowMsgBoxAPI.Enabled = True
    tmrAm.Enabled = True
    cmdStop.SetFocus

End Sub

Private Sub cmdShowMsgBoxAPI_Click()

    On Error Resume Next
    Debug.Assert "TESTDEBUG"
    '<:-) :SUGGESTION: Code used to generate data only for Debug should be removed from final code.
    If Err.Number = 0 Then
        ' Runtime variant
        MsgBox "THIS TEST IS ONLY VALID IN VB6 IDE.", vbExclamation, "Message From PicClip"
    Else 'NOT ERR.NUMBER...
        ' Debug variant
        MessageBox Me.hwnd, "Huh, You Can't Stop Me!", "Message From PicClip", vbInformation
    End If
    On Error GoTo 0

End Sub

Private Sub cmdShowMsgBoxNormal_Click()

    On Error Resume Next
    Debug.Assert "TESTDEBUG"
    '<:-) :SUGGESTION: Code used to generate data only for Debug should be removed from final code.
    If Err.Number = 0 Then
        ' Runtime variant
        MsgBox "THIS TEST IS ONLY VALID IN VB6 IDE.", vbExclamation, "Message From PicClip"
    Else 'NOT ERR.NUMBER...
        ' Debug variant
        MsgBox "OH! Help, somebody broke my spring!", vbExclamation, "Message From PicClip"
    End If
    On Error GoTo 0

End Sub

Private Sub cmdStop_Click()

    tmrAm.Enabled = False
    cmdPlay.Enabled = True
    cmdStop.Enabled = False
    cmdShowMsgBoxNormal.Enabled = False
    cmdShowMsgBoxAPI.Enabled = False
    cmdPlay.SetFocus

End Sub

Private Sub DrawText()

    With picShadwCanv
        .AutoRedraw = True
        .FontSize = 12
        '.FontBold = True
        .FontTransparent = True
        ShadowText .hdc, 10, 5, "To see how these two MsgBox"
        ShadowText .hdc, 10, 25, "behave differently in the IDE (only),"
        ShadowText .hdc, 10, 50, "keep your eye on the animation."
    End With 'picShadwCanv

End Sub

Private Sub Form_Initialize()

    InitCommonControls

End Sub

Private Sub Form_Load()

    picAm.Picture = PC.GraphicCell(3)
    CI = 2
    DrawText

End Sub

Private Sub ShadowText(DC As Long, _
                       X As Long, _
                       Y As Long, _
                       S As String)

    picShadwCanv.ForeColor = vbYellow
    TextOut DC, X, Y, S, Len(S)
    picShadwCanv.ForeColor = vbRed
    TextOut DC, X + 1, Y + 1, S, Len(S)

End Sub

Private Sub tmrAm_Timer()

    CI = CI + 1
    If CI = 18 Then
        CI = 0
    End If
    picAm.Picture = PC.GraphicCell(CI)

End Sub

':)Code Fixer V2.9.9 (2/04/2006 6:48:44 AM) 17 + 104 = 121 Lines Thanks Ulli for inspiration and lots of code.
